Index: sys/kern/subr_smp.c
===================================================================
--- sys/kern/subr_smp.c	(revision 205444)
+++ sys/kern/subr_smp.c	(working copy)
@@ -502,7 +502,10 @@
 	top = &group[0];
 	top->cg_parent = NULL;
 	top->cg_child = NULL;
-	top->cg_mask = (1 << mp_ncpus) - 1;
+	if (mp_ncpus == sizeof(top->cg_mask) * 8)
+		top->cg_mask = -1;
+	else
+		top->cg_mask = (1 << mp_ncpus) - 1;
 	top->cg_count = mp_ncpus;
 	top->cg_children = 0;
 	top->cg_level = CG_SHARE_NONE;